%% Bassam Jalgha Nov 2010
% invT
% This function performs transformation matrix inversion
% Example: T61=invT(T16);
% where T16 is the matrix to be inverted and T61 is the inverted matrix

function inverted=invT(T)

R=T(1:3,1:3);

newR=R';
newP=-newR*T(1:3,4);

inverted=[newR newP; 0 0 0 1]; % inv(T_ap)
end